#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xBA,0xAF,0xAF,0xAE,0x27,0xE6,0x61,0xE1,0xA0,0x9A,0x27,0x77,
		0x84,0x4F,0xD4,0x8B,0xA3,0x5B,0xC6,0x16,0xE5,0xA7,0x19,0x8B,
		0x0E,0x19,0x09,0x36,0x78,0xF2,0x87,0x2D,0x7F,0x81,0x86,0x2C,
		0x13,0xF9,0xAF,0x00,0xDA,0x3B,0x60,0xDD,0x5E,0x56,0x1E,0xE7,
		0xAE,0xD4,0x36,0x96,0x2D,0x03,0xAD,0xCC,0xA9,0xF3,0x3F,0xF8,
		0x79,0xB9,0xB6,0x6B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
